Page MenuHomePhabricator

Make wikibase extensions installable with 9.0 only
Closed, ResolvedPublic2 Story Points

Description

So that we don't have to maintain too much compatibility...

  • Make extensions installable with 9.0 only
    • Wikibase
    • WikibaseLexeme
    • WikibaseQuality (This is no longer deployed)
    • WikibaseQualityConstraints
    • PropertySuggester
    • WikibaseMediaInfo

Event Timeline

Addshore triaged this task as Normal priority.Nov 13 2018, 3:04 PM
Addshore created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptNov 13 2018, 3:04 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Nov 13 2018, 3:32 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 19 2018, 3:38 PM

Change 474717 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] composer: "wikibase/data-model": "^9.0.1" only

https://gerrit.wikimedia.org/r/474717

Change 474718 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] composer: "wikibase/data-model": "^9.0.1" only

https://gerrit.wikimedia.org/r/474718

Change 474719 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseQualityConstraints@master] composer: "wikibase/data-model": "^9.0.1" only

https://gerrit.wikimedia.org/r/474719

Change 474720 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/PropertySuggester@master] composer: "wikibase/data-model": "^9.0.1" only

https://gerrit.wikimedia.org/r/474720

Change 474721 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseMediaInfo@master] composer: "wikibase/data-model": "^9.0.1" only

https://gerrit.wikimedia.org/r/474721

Change 474718 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] composer: "wikibase/data-model": "^9.0.1" only

https://gerrit.wikimedia.org/r/474718

Change 474721 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] composer: "wikibase/data-model": "^9.0.1" only

https://gerrit.wikimedia.org/r/474721

Change 474719 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] composer: "wikibase/data-model": "^9.0.1" only

https://gerrit.wikimedia.org/r/474719

Change 474717 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] composer: "wikibase/data-model": "^9.0.1" only

https://gerrit.wikimedia.org/r/474717

Change 474720 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] composer: "wikibase/data-model": "^9.0.1" only

https://gerrit.wikimedia.org/r/474720

Addshore closed this task as Resolved.Dec 13 2018, 5:29 PM
Addshore updated the task description. (Show Details)